Skip to main content
Welcome to the preview portal — This is an early release of the new Doc Hub experience, with more content coming soon.

Visa Deferred Sale


Use this information to process a deferred sale transaction at the end of the travel period for an aggregated payment.

Response Field Handling

When you receive the AUTH_DECLINE_CAPTURE_POSSIBLE value in the errorInformation.reason field of an authorization response, it indicates that a capture attempt will not be rejected automatically. Before processing the capture, verify that it is permitted in this scenario by reviewing the card scheme's First Ride Risk and shared-liability rules.

For an example of the field data, see the example on this page. For more information about the field, see the errorInformation.reason field description.

Endpoints

POST /pts/v2/payments

POST /pts/v2/payments

Example

{    "clientReferenceInformation": {        "comments": "TransitDA BAU full value sale",        "code": "10000565",        "transactionId": "20000565",        "partner": {            "thirdPartyCertificationNumber": "BPCDRC220403",            "solutionId": "548UHQ8Z"        }    },    "processingInformation": {        "industryDataType": "transit",        "commerceIndicator": "retail",        "capture": "true",        "captureOptions": {            "dateToCapture": "0425"        },        "authorizationOptions": {            "deferredAuthIndicator": "true",            "aggregatedAuthIndicator": "true"        }    },    "orderInformation": {        "amountDetails": {            "totalAmount": "10.00",            "currency": "EUR"        }    },    "paymentInformation": {        "card": {            "type": "001"        }    },    "pointOfSaleInformation": {        "terminalId": "12345678",        "catLevel": "2",        "entryMode": "contactless",        "terminalCapability": "5",        "terminalPinCapability": "0",        "emv": {            "tags": "5F2A0209768407A00000000310109F360200029F03060000000000009C01005F3401019F10201F220100A00000000000000000000000000000000000000000000000000000009F33030008089A032204259F260845E978CEEC63154F9F2701409F0206000000000200820220209F34031F00009F1A0209769F6E04207000009F3704B257DA1495050000000000",            "cardSequenceNumber": "1"        },        "trackData": ";4761XXXXXXXXXXXX=241220119058254?"    }}
{    "_links": {        "void": {            "method": "POST",            "href": "/pts/v2/payments/6508875814676551204001/voids"        },        "self": {            "method": "GET",            "href": "/pts/v2/payments/6508875814676551204001"        }    },    "clientReferenceInformation": {        "code": "10000565",        "partner": {            "solutionId": "548UHQ8Z"        },        "transactionId": "20000565"    },    "id": "6508875814676551204001",    "orderInformation": {        "amountDetails": {            "totalAmount": "10.00",            "authorizedAmount": "10.00",            "currency": "EUR"        }    },    "paymentAccountInformation": {        "card": {            "type": "001"        }    },    "paymentInformation": {        "accountFeatures": {            "group": "0"        },        "tokenizedCard": {            "type": "001"        },        "card": {            "type": "001"        }    },    "pointOfSaleInformation": {        "emv": {            "tags": "9F36020015910AB58D60185BEF0247303072179F180430303031860E04DA9F580903B1BAEDFD1438BA48"        }    },    "processorInformation": {        "systemTraceAuditNumber": "164186",        "approvalCode": "831000",        "networkTransactionId": "016153570198200",        "retrievalReferenceNumber": "211511164186",        "transactionId": "016153570198200",        "responseCode": "00",        "avs": {            "code": "2"        }    },    "reconciliationId": "6508875814676551204001",    "status": "AUTHORIZED",    "submitTimeUtc": "2022-04-25T11:53:01Z"}
{    "_links": {        "self": {            "method": "GET",            "href": "/pts/v2/payments/6508878333386555704002"        }    },    "clientReferenceInformation": {        "code": "10000576",        "partner": {            "solutionId": "548UHQ8Z"        },        "transactionId": "20000576"    },    "errorInformation": {        "reason": "AUTH_DECLINE_CAPTURE_POSSIBLE",        "message": "Authorization Declined. Follow-on Capture can be processed."    },    "id": "6508878333386555704002",    "pointOfSaleInformation": {        "emv": {            "tags": "9F36020015910AB58D60185BEF0247303072179F180430303031860E04DA9F580903B1BAEDFD1438BA48"        }    },    "processorInformation": {        "systemTraceAuditNumber": "164212",        "networkTransactionId": "016153570198200",        "retrievalReferenceNumber": "211511164212",        "transactionId": "016153570198200",        "responseCode": "05",        "avs": {            "code": "2"        }    },    "status": "DECLINED"}
FieldTypeDescription
clientReferenceInformation.code
clientReferenceInformation.commentsSet this field to TransitDA BAU full value sale.
clientReferenceInformation.partner.solutionId provides the value for this field.
clientReferenceInformation.partner.thirdPartyCertificationNumber provides the value for this field.
clientReferenceInformation.transactionId
orderInformation.amountDetails.currency
orderInformation.amountDetails.totalAmount
paymentInformation.card.typeSet this field to 001.
pointOfSaleInformation.catLevelSet this field to 2.
pointOfSaleInformation.emv.cardSequenceNumber
pointOfSaleInformation.emv.tags
pointOfSaleInformation.entryModeSet this field to contactless.
pointOfSaleInformation.terminalCapabilitySet this field to 5.
pointOfSaleInformation.terminalId
pointOfSaleInformation.terminalPinCapabilitySet this field to 0.
pointOfSaleInformation.trackData
processingInformation.authorizationOptions.aggregatedAuthIndicatorSet this field to true.
processingInformation.authorizationOptions.deferredAuthIndicatorSet this field to true.
processingInformation.captureSet this field to true.
processingInformation.captureOptions.dateToCapture
processingInformation.commerceIndicatorSet this field to retail.
processingInformation.industryDataTypeSet this field to transit.

Last published: October 28, 2026

Not available for your audience

This page isn't available for your current audience selection.